// 入口 1：主程序（依赖 utils/math 和 lib/core）

import { sumOfSquares, factorial } from "./utils/math";
import { log } from "./lib/core";

function main(): number {
    let result1 = sumOfSquares(3, 4);
    log("sumOfSquares(3,4) = " + result1);
    
    let result2 = factorial(5);
    log("factorial(5) = " + result2);
    
    return result1 + result2;
}
